Skip to main content
GET
/
v1
/
analytics
/
ratings
Python (SDK)
from finance_dev import FinanceDev, models
import os


with FinanceDev(
    security=models.Security(
        client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
        client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
    ),
) as fd_client:

    res = fd_client.analytics.get(tickers="AAPL,GOOGL", page=1, page_size=20)

    # Handle response
    print(res)
{
  "ratings": [
    {
      "id": "<string>",
      "date": "<string>",
      "ticker": "<string>",
      "name": "<string>",
      "ratingCurrent": "<string>",
      "ratingPrior": "<string>",
      "ptCurrent": 123,
      "ptPrior": 123,
      "analystName": "<string>",
      "ratingsAccuracy": {
        "smartScore": 123,
        "successRate": 123,
        "totalRatings": 123,
        "avgReturn1m": 123,
        "avgReturn3m": 123,
        "avgReturn1y": 123
      },
      "importance": 123,
      "updated": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tickers
string

Comma-separated list of ticker symbols (max 50)

Example:

"AAPL,GOOGL"

page
integer
default:1

Page number for pagination

Required range: x >= 1
pageSize
integer
default:20

Number of results per page (max 1000)

Required range: 1 <= x <= 1000
date
string<date>

Specific date in YYYY-MM-DD format

dateFrom
string<date>

Start date in YYYY-MM-DD format

dateTo
string<date>

End date in YYYY-MM-DD format

importance
integer

Minimum importance level (0-5)

Required range: 0 <= x <= 5

Response

Analyst ratings retrieved successfully

ratings
object[]